Package org.w3c.tidy

# Class ParserImpl.ParseEmpty

java.lang.Object
org.w3c.tidy.ParserImpl.ParseEmpty

All Implemented Interfaces:
  `Parser`

Enclosing class:
  `ParserImpl`

public static class ParserImpl.ParseEmpty extends Object implements Parser
Parser for empty elements.

## Constructor Summary

Constructors
Constructor
Description
`ParseEmpty()`

## Method Summary

Modifier and Type
Method
Description
`void`
`parse(Lexer lexer, Node element, short mode)`
Parse the given node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParseEmpty

public ParseEmpty()

## Method Details

### parse

public void parse(Lexer lexer, Node element, short mode)
Description copied from interface: `Parser`
Parse the given node.

Specified by:
  `parse` in interface `Parser`
Parameters:
  `lexer` - Lexer
  `element` - node created by the lexer upon seeing the start tag, or by the parser when the start tag is inferred
  `mode` - content mode
See Also:
  - `Parser.parse(org.w3c.tidy.Lexer, org.w3c.tidy.Node, short)`